Results 1 to 7 of 7

Thread: How can I active vdpau on radeon/archlinux?

  1. #1
    Join Date
    Feb 2012
    Location
    Barcelona, Spain
    Posts
    279

    Default How can I active vdpau on radeon/archlinux?

    Today I installed xorg video ati git and mesa git, but when I try to play a movie mpeg2 with vdpau outpu I can't see any image, video doesn't start. What I need to do?

  2. #2
    Join Date
    Jun 2010
    Location
    ฿ 16LDJ6Hrd1oN3nCoFL7BypHSEYL84ca1JR
    Posts
    969

    Default

    Not sure if you still need that variable:

    Code:
    export VDPAU_DRIVER=r600
    Then, try
    Code:
    vdpauinfo
    to see if it should work.

  3. #3
    Join Date
    Feb 2012
    Location
    Barcelona, Spain
    Posts
    279

    Default

    Doesn't run

    this is the output:

    [mpegts @ 0x7f17a4fd6d00]PES packet size mismatch
    [lavf] stream 0: video (mpeg2video), -vid 0
    [lavf] stream 1: audio (aac), -aid 0
    LAVF: Program 1056
    Load subtitles in /home/fran/Videos/
    [mpegts @ 0x7f17a4fd6d00]Adjusting PTS forward
    Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
    [vdpau] Error when calling vdp_device_create_x11: 1
    Error opening/initializing the selected video_out (-vo) device.
    [aac @ 0x7f17a595c440]channel element 2.13 is not allocated
    Selected audio codec: Advanced Audio Coding [libavcodec]
    AUDIO: 48000 Hz, 2 ch, s16le, 178.1 kbit/11.60% (ratio: 22265->192000)
    AO: [pulse] 48000Hz 2ch s16le (2 bytes per sample)
    Video: no video
    Starting playback...

  4. #4
    Join Date
    Jul 2009
    Location
    Germany
    Posts
    439

    Default

    make sure /usr/lib{,32,64}/vdpau/libvdpau_r600.so is installed

  5. #5
    Join Date
    Dec 2008
    Location
    Creve Coeur, Missouri
    Posts
    394

    Default

    OR you could just install FGLRX and use XvBA :trollface:

  6. #6
    Join Date
    Feb 2012
    Location
    Barcelona, Spain
    Posts
    279

    Default

    Problem solved, I downgraded libvdpau at 0.4 version

  7. #7
    Join Date
    Feb 2012
    Location
    Barcelona, Spain
    Posts
    279

    Default

    Quote Originally Posted by pandev92 View Post
    Problem solved, I downgraded libvdpau at 0.4 version
    The problem is that it have some lag!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •